Page MenuHomePhabricator

Hdd partitions are not shown in EFM
Closed, InvalidPublic

Description

Hello. I am using EFL 1.20.7 and Enlightenment 0.22.3. I am building the Enlightenment package with "./configure --prefix = / usr --disable-systemd --enable-mount -udisks --enable-mount -eeze". But Fileman does not show the harddisk volumes. Shows the USB memories and connects them. If I build with "--disable-mount -udisks --enable-mount-eeze", it will show the harddrive volumes and usb memories but it will give a mount failure.

I am using LFS based linux distribution.

ProhtMeyhet triaged this task as Pending on user input priority.Sep 22 2018, 11:32 AM
ProhtMeyhet added projects: Restricted Project, efl: system integration.

I am using LFS based linux distribution.

can you be more specific?

also i have a gut feeling this is because of your option:

--disable-systemd

ProhtMeyhet added a project: Restricted Project.Sep 22 2018, 11:33 AM

Thank you for respond. The LFS-based linux distribution we developed is Milis Linux (https://milislinux.org). I'm only packager. We do not use the systemd package in our distribution. We use sysvinit instead. Do we need to write a service file for this problem? If the service file is required and it will solve the problem, I will forward it to my other developer friends.

The subject was pretty late. Can you give me a clear answer about this problem? Is it just a problem for me or a general problem?

ProhtMeyhet edited projects, added enlightenment-git; removed Restricted Project.Mar 10 2020, 7:18 AM

The subject was pretty late. Can you give me a clear answer about this problem? Is it just a problem for me or a general problem?

No, sorry I can't. There were some patches by @devilhorns for e without systemd, but I'm not clear on the state of them.

@devilhorns could you - sorry for the pun - enlighten us here?

yasarciv67 added a comment.EditedJun 8 2020, 12:08 AM

@devilhorns @raster
Are there any works on this problem?
I installed the latest updates by compiling from the source code, but my problem continues.
What should I do to show and mount my hard disk partitions in efm?
I want to use Enlightenment but I cannot use it because of disk mount problem.
Please help me!

raster added a comment.Jun 8 2020, 7:25 AM

efm is not meant to show "hard disk mount points". that is an explicit choice not to. it is only looking for devices tagged as removable devices by udisks. sometimes udisks says some partitions that are mounted are removable. i know i certainly don't test the non-udisks path as that's just not normal on arch.

so you want efm to do something it is explicitly designed not to do - show already mounted filesystems. it's ONLY meant to show mountable filesystems (that you can mount and unmount as a user as you like) like for removable media.

I did not know that EFM was not designed to mount the hdd partition, I could not see a document describing it.
But that's what I expect from a file manager, just like thunar, caja, dolphin etc.
Thanks for your response.

raster added a comment.Jun 9 2020, 3:04 AM

efm doesn't have to mount it... it should already be mounted by /etc/fstab if its a fixed partition. filemanagers do need to deal with mounting "dynamic stuff" like removable devices that come and go... :)

ProhtMeyhet assigned this task to raster.Jun 9 2020, 7:22 AM
ProhtMeyhet raised the priority of this task from Pending on user input to Wishlist.
raster added a comment.Jun 9 2020, 2:07 PM

i don't even think it's a wishlist. it just isn't useful. the filesystems are (or should be) mounted already,. if the user was a shortcut to them they can symlink one from their favorites dir or something.... but efm absolutely shouldn't show /boot or /boot/uefi or /home or /opt or whatever if they are different partitions mounted... the point is they are mounted so your fs looks like a seamless tree... :)

raster reopened this task as Open.Jun 9 2020, 6:25 PM

oops mis-closed wrong task

Even if I add and mount the disks in the fstab file, I cannot see the icon on the desktop or on the efm side panel. I have to open the directory I linked to. Eg /media/sda4

Even if I add and mount the disks in the fstab file, I cannot see the icon on the desktop or on the efm side panel. I have to open the directory I linked to. Eg /media/sda4

These are "favourites" and have some defaults. I'm just guessing efm doesn't support gnomes "favourites".

Even if I add and mount the disks in the fstab file, I cannot see the icon on the desktop or on the efm side panel. I have to open the directory I linked to. Eg /media/sda4

correct. the favorites list on the left is nothing other than a directory with files/dirs/symlinks and you can add anything in there you like... efm AUTOMATICALLY adds/removes removable storage files (desktop files of type "Link" that point to a specific device - read the files that EFM creates that start with a pipe (|) char... you can create your own all you like (don't name them with pipe at the start). you can add symlinks in here too ... so add whatever you like - up to you. EFM just sets up 5 links to common places ($HOME, / (root), /tmp, ~/Desktop and now E's shots/screenshots dir). you can add as many others as you like or delete the ones e has added on first run by the wizard if you don't like them... the only thing e automatically goes handling runtime is removable storage for precisely the reasons i gave... :)

i don't even think it's a wishlist.

@raster for the administrative purpose it now is, or please close it as WONTFIX.

Even if I add and mount the disks in the fstab file, I cannot see the icon on the desktop or on the efm side panel. I have to open the directory I linked to. Eg /media/sda4

@yasarciv67 you can drag and drop all folders and mount points to the the side panel in efm. You don't even have to edit any files manually.

raster closed this task as Invalid.Jun 12 2020, 3:08 AM

invalid as not something to fix... its how its meant to work.